Subject: Re: [PATCH bpf-next v2] selftests/bpf: convert test_xdp_features.sh to test_progs

From: Martin KaFai Lau <[email-masked]>
Date: Thu, 3 Oct 2024 21:44:52 -0700

On 9/24/24 6:37 PM, Martin KaFai Lau wrote:
> There are other .sh tests that could better use the test_progs migration. In 
> particular the ones without existing test coverage. For non XDP related, 
> test_tcp_check_syncookie.sh, test_flow_dissector.sh, and test_tc_edt.sh should 
> be the good ones.

I just took a closer look at the test_tc_edt.* for another reason. It seems 
doing some bandwidth test which may not be a good fit (e.g. too flaky) for 
test_progs. I would leave it to the bottom of the todo list for now.

> 
> For XDP, test_xdp_meta.sh should be useful also. You may also want to check the 
> test_xdp_redirect_*.sh.
> 
>> processes and tcp/udp channels involved), but if keeping the standalone version
>> is really needed, I can give a try. Does it sound reasonable ?
>> - one part of my overall goal is to clean up the tools/testing/selftests/bpf
>> directory from anything that is not tested automatically. What should we do with
>> the wrapping shell script (test_xdp_features.sh) ? Since test_progs will
>> automate the test with veths, I guess it is still ok to just remove it ?
>>
>>> No preference but just to raise awareness - drivers/net's NetDrvEpEnv
>>> class provides the setup for running tests with an endpoint.
>>> XDP tests intended for HW would fit there pretty well.
>>
>> Thanks for the hint. If we want to keep some tooling for real hw xdp features
>> testing, maybe we could add a small part in tools/testing/selftests/drivers/net
>> and make it use this NetDrvEpEnv ? Or it is a bigger hint that the whole test
>> about xdp features could be moved there (and then tested by net kselftests
>> rather than by ebpf ci specifically) ? @Lorenzo and eBPF tests maintainers, any
>> opinion ?
>>
>> Thanks,
>>
>> Alexis
>>
> 
>